import PostList from "@web/src/components/models/course/list/PostList";
import { useAuth } from "@web/src/providers/auth-provider";
import CourseCard from "../courses/components/CourseCard";
import PostCard from "@web/src/components/models/course/card/PostCard";

export default function MyDutyPage() {
	const { user } = useAuth();
	return (
		<>
			<div className="p-4">
				<PostList
				renderItem={post=><PostCard course={post}></PostCard>}
				
					params={{
						pageSize: 12,
						where: {
							authorId: user.id,
						},
					}}
					cols={4}></PostList>
			</div>
		</>
	);
}
